Formigros PROD

Get Specific Form Revision

This API request will fetch the form JSON for a specific form revision.

get
https://api.migros.ch/migros/forms/v1/form/{formId}/v/{revisionNumber}

Path Parameters

formIdstringrequired

Form Id

Example:{{formId}}

revisionNumberstringrequired

Form revision number

Example:{{revisionNumber}}

Headers

x-jwt-tokenstring

Example:{{token}}

Response

200 application/json

Get Specific Form Revision

_idstring
_ridstring
_vidinteger
_vnotestring
_vuserstring
accessarray[object]
Show Child Parameters
componentsarray[object]
Show Child Parameters
createdstring(date-time)
displaystring
modifiedstring(date-time)
namestring
ownerstring
pathstring
projectstring
revisionsstring
submissionAccessarray
tagsarray[string]
titlestring
typestring
get/migros/forms/v1/form/{formId}/v/{revisionNumber}
 
200 application/json

Get Language Submission

Retrieves language submissions for a specific form and language.

get
https://api.migros.ch/migros/forms/v1/language/submission

Query Parameters

data.languagestringrequired

Language code

Example:de

data.formstringrequired

Form identifier

Example:generic

Response

200 application/json

Language submissions fetched

array[object]
get/migros/forms/v1/language/submission
 
200 application/json

Get Form by Alias

This will retrieve a form by providing its path alias.

get
https://api.migros.ch/migros/forms/v1/{formPath}

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

200 application/json

Get Form by Alias

_idstring

Example:5fc7c25a2a992abe68b247b4

_vidnumber

Example:0

accessarray[object]

Example:[{"roles":["5fc7befe2a992abe68b24766","5fc7befe2a992abe68b24767","5fc7befe2a992abe68b24768"],"type":"read_all"}]

Show Child Parameters
componentsarray[object]
Show Child Parameters
createdstring

Example:2020-12-02T16:35:38.683Z

displaystring

Example:form

machineNamestring

Example:proj366:synthesize

modifiedstring

Example:2020-12-02T16:35:38.687Z

namestring

Example:synthesize

ownerstring

Example:5fc7beeb2a992abe68b2475c

pathstring

Example:iterate

projectstring

Example:5fc7befe2a992abe68b24765

revisionsstring

Example:[ "" ]

submissionAccessarray

Example:[]

tagsarray

Example:[]

titlestring

Example:navigating

typestring

Example:form

get/migros/forms/v1/{formPath}
 
200 application/json

Delete File from Azure Storage

Deletes a file from the configured Azure storage provider.

delete
https://api.migros.ch/migros/forms/v1/{formPath}/storage/azure

Query Parameters

namestringrequired

File name

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

keystringrequired

Storage key

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

204

File deleted

delete/migros/forms/v1/{formPath}/storage/azure
 
204

Get Azure Storage Files

This will retrieve the files stored in the configured Azure storage provider.

get
https://api.migros.ch/migros/forms/v1/{formPath}/storage/azure

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Headers

x-jwt-tokenstring

Example:{{token}}

Response

200 application/json

Get Azure Storage Files

object
get/migros/forms/v1/{formPath}/storage/azure
 
200 application/json